# Lettre textclass definition file.
# Adapt de stdletter.inc par N. Hathout (2 fvrier 2001)
# Modifi par Yann Morre (13 fev 2001)
# Author : Matthias Ettrich <ettrich@informatik.uni-tuebingen.de>
# Heavily modifed and enhanced by several developers.

# General textclass parameters
Columns			1
Sides			1
PageStyle		Empty

# This is just to show how to declare the default font.
# The defaults are exactly those shown here.
DefaultFont
  Family		Roman
  Series		Medium
  Shape			Up
  Size			Normal
  Color			None
EndFont


# DestinataireSend_To_Address style definition
#Style Send_To_Address
Style Destinataire
#  Margin		Static
  Margin		Right_Address_Box
  LatexType		Command
  LatexName		letter
  KeepEmpty		1  
  ParSkip		0.4
  BottomSep		1.5
  ParSep		1.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		No_Label
End

# Expediteur My Address style
#Style My_Address
Style Expediteur
  Margin		Static
#  Margin		Right_Address_Box
  LatexType		Command
  LatexName		address
  ParSkip		0.4
  BottomSep		1.5
  ParSep		1.5
  Align			Left
  AlignPossible		Left
End

# Telephone style definition
Style Telephone
  Margin  		Static
  LatexType 		Command
  LatexName 		telephone
  LeftMargin		Signature:xx
  LabelSep		xx
  TopSep		0.4
  BottomSep		0.4
  ParSep		0.4
  Align 		Block
  AlignPossible 	Block, Left
  LabelType		Static
  LabelString		Tlphone:
#  Spacing               Other 1.5
End

# Fax style definition
Style Fax
  Margin  		Static
  LatexType 		Command
  LatexName 		fax
  LeftMargin		Signature::xx
  LabelSep		xx
  TopSep		0.4
  BottomSep		0.4
  ParSep		0.4
  Align 		Block
  AlignPossible 	Block, Left
  LabelType		Static
  LabelString		Fax:
#  Spacing               Other 1.5
End

# Email style definition
Style Email
  Margin  		Static
  LatexType 		Command
  LatexName 		email
  LeftMargin		Signature::xx
  LabelSep		xx
  TopSep		0.4
  BottomSep		0.4
  ParSep		0.4
  Align 		Block
  AlignPossible 	Block, Left
  LabelType		Static
  LabelString		Email:
#  Spacing               Other 1.5
End

# Lieu style definition
Style Lieu
  Margin  		Static
  LatexType 		Command
  LatexName 		lieu
  LeftMargin		Signature::xx
  LabelSep		xx
  TopSep		0.4
  BottomSep		0.4
  ParSep		0.4
  Align 		Block
  AlignPossible 	Block, Left
  LabelType		Static
  LabelString		Lieu:
#  Spacing               Other 1.5
End

# Vref style definition
Style Vref
  Margin  		Static
  LatexType 		Command
  LatexName 		vref
  LeftMargin		Signature::xx
  LabelSep		xx
  TopSep		0.4
  BottomSep		0.4
  ParSep		0.4
  Align 		Block
  AlignPossible 	Block, Left
  LabelType		Static
  LabelString		Vref:
  Spacing               Other 1.5
End

# Nref style definition
Style Nref
  Margin  		Static
  LatexType 		Command
  LatexName 		nref
  LeftMargin		Signature::xx
  LabelSep		xx
  TopSep		0.4
  BottomSep		0.4
  ParSep		0.4
  Align 		Block
  AlignPossible 	Block, Left
  LabelType		Static
  LabelString		Nref:
  Spacing               Other 1.5
End

# Sujet style definition
Style Objet
  Margin  		Static
  LatexType 		Command
  LatexName 		conc
  LeftMargin		Signature::xx
  LabelSep		xx
  TopSep		0.4
  BottomSep		0.4
  ParSep		0.4
  Align 		Block
  AlignPossible 	Block, Left
  LabelType		Static
  LabelString		Objet:
  Spacing               Other 1.5

  # label font definition
  LabelFont 
    Series		Bold
    Shape		Italic
    Latex		Latex
  EndFont
End

# Opening style definition
Style Opening
  Margin  		Static
  LatexType 		Command
  LatexName 		opening
  KeepEmpty		1  
  LeftMargin		Signature::xx
  LabelSep		xx
  TopSep		0.4
  BottomSep		0.4
  ParSep		0.4
  Align 		Block
  AlignPossible 	Block, Left
  LabelType		Static
  LabelString		Opening:

  # label font definition
  LabelFont 
    Series		Bold
    Shape		Italic
    Latex		Latex
  EndFont
End

# Standard style definition
Style Standard
  Margin  		Static
  LatexType 		Paragraph
  LatexName 		dummy
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

# Signature style definition
Style Signature
  Margin  		Static
  LatexType 		Command
  LatexName 		signature
  LeftMargin		Signature::xx
  LabelSep		xx
  TopSep		0.4
  BottomSep		0.4
  ParSep		0.4
  Align 		Block
  AlignPossible 	Block, Left
  LabelType		Static
  LabelString		Signature:

  # label font definition
  LabelFont 
    Series		Bold
    Shape		Italic
    Latex		Latex
  EndFont
End

# Closing style definition
Style Closing
  Margin  		Static
  LatexType 		Command
  LatexName 		closing
  LeftMargin		Signature::xx
  LabelSep		xx
  TopSep		0.4
  BottomSep		0.4
  ParSep		0.4
  Align 		Block
  AlignPossible 	Block, Left
  LabelType		Static
  LabelString		Closing:

  # label font definition
  LabelFont 
    Series		Bold
    Shape		Italic
    Latex		Latex
  EndFont
End

# cc style definition
Style cc
  Margin  		Static
  LatexType 		Command
  LatexName 		cc
  LeftMargin		cc:xx
  LabelSep		xx
  TopSep		0.4
  BottomSep		0.4
  ParSep		0.4
  Align 		Block
  AlignPossible 	Block, Left
  LabelType		Static
  LabelString		cc:
End

# encl style definition
Style encl
  Margin  		Static
  LatexType 		Command
  LatexName 		encl
  LeftMargin		encl:xx
  LabelSep		xx
  TopSep		0.4
  BottomSep		0.4
  ParSep		0.4
  Align 		Block
  AlignPossible 	Block, Left
  LabelType		Static
  LabelString		encl:
  Spacing               Other 1.5
End
