# Author : David L. Johnson <dlj0@lehigh.edu>
# Probably broken by Jean-Marc Lasgouttes <Jean-Marc.Lasgouttes@inria.fr>
# modified and modularized by Emmanuel GUREGHIAN <gureghia@boston.bertin.fr>

# Including the maths stuff
Input amsmatheng.inc

# the environnements copied from the old amsart.layout are :
# - Proof, 
# - Bibliography
# - Title
# - Author
# - Date
# - Abstract (This is a title component for this style.)
# - Address
# - Email
# - Keywords
# - Subjectclass

# Proof style declaration
Style Proof
  Margin		First_Dynamic
  LatexType		Environment
  LatexName		proof
  NextNoIndent		1
  LabelSep		xx
  ParIndent             MMM  
  ParSkip		0.4
  ItemSep		0.2
  TopSep		0.7
  BottomSep		0.7
  ParSep		0.3
  Align			Block
  AlignPossible		Block, Left
  LabelType		Static
  LabelString		"Proof."
  
  # standard font definition
  Font
    Shape               Up
    Size                Normal
  EndFont

  # label font definition
  LabelFont
    Shape               Italic
  EndFont

  # We don't want the preamble from Theorem
  Preamble
  EndPreamble 
End  

### Now the title stuff. We copy do not use stdstruct.inc to keep
### things in the right order

# Address style definition
Style Address
  Margin		Dynamic
  LatexType		Command
  InTitle		1
  LatexName		address
  ParSkip		0.4
  BottomSep		1.5
  ParSep		1.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelString		"Adress: "
  # label font definition
  LabelFont
    Shape		Italic
  EndFont
End  

# Current Address style definition
Style Current_Address
  Margin		Dynamic
  LatexType		Command
  InTitle		1
  LatexName		curraddr
  ParSkip		0.4
  BottomSep		1.5
  ParSep		1.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelString		"Current Adress: "
  # label font definition
  LabelFont
    Shape		Italic
  EndFont
End  

# Email style definition
Style Email
  Margin		First_Dynamic
  LatexType		Command
  InTitle		1
  LatexName		email
  ParSkip		0.4
  BottomSep		1.5
  ParSep		1.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  labelString		"E-mail Adress: "
  LabelFont
    Shape		Italic
  EndFont
End

# URL style definition
Style URL
  Margin		First_Dynamic
  LatexType		Command
  InTitle		1
  LatexName		urladdr
  ParSkip		0.4
  BottomSep		1.5
  ParSep		1.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  labelString		"URL: "
  LabelFont
    Shape		Italic
  EndFont
End

# Keywords style definition
Style Keywords
  Margin		Dynamic
  LatexType		Command
  InTitle		1
  LatexName		keywords
  ParSkip		0.4
  BottomSep		1.5
  ParSep		1.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelString		"Key Words: "
  # label font definition
  LabelFont
    Shape		Italic
  EndFont
End  

# Thanks style definition
Style Thanks
  Margin		Dynamic
  LatexType		Command
  InTitle		1
  LatexName		thanks
  ParSkip		0.4
  BottomSep		1.5
  ParSep		1.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelString		"Acknowledgment: "
  # label font definition
  LabelFont
    Shape		Italic
  EndFont
End  

# Dedicatory style definition
Style Dedicatory
  Margin		Dynamic
  LatexType		Command
  InTitle		1
  LatexName		dedicatory
  ParSkip		0.4
  BottomSep		1.5
  ParSep		1.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelString		"Dedicatory: "
  # label font definition
  LabelFont
    Shape		Italic
  EndFont
End  


# Translator style definition
Style Translator
  Margin		Dynamic
  LatexType		Command
  InTitle		1
  LatexName		translator
  ParSkip		0.4
  BottomSep		1.5
  ParSep		1.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelString		"Translator: "
  # label font definition
  LabelFont
    Shape		Italic
  EndFont
End  

# Subjectclass style definition
Style Subjectclass
  Margin		Dynamic
  LatexType		Command
  InTitle		1
  LatexName		subjclass
  ParSkip		0.4
  BottomSep		1.5
  ParSep		1.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelString		"1991 Mathematics Subject Classification: "
  # label font definition
  LabelFont
    Shape		Italic
  EndFont
End 


